Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_String.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "ace/post.h"`

Include dependency graph for CORBA_String.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_String_out
| CORBA_String_out. More...
class | CORBA_String_var
| CORBA_String var class. Provides automatic deallocation of storage for the string once it goes out of scope. More...
class | CORBA_WString_out
| CORBA_WString_out. More...
class | CORBA_WString_var
| CORBA_WString var class. Provides automatic deallocation of storage for wide strings. More...
## Functions
TAO_Export ostream & | operator<< (ostream &, const CORBA::String_var &)
TAO_Export istream & | operator>> (istream &, CORBA::String_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::String_out &)
TAO_Export istream & | operator>> (istream &, CORBA::String_out &)
TAO_Export ostream & | operator<< (ostream &, const CORBA::WString_var &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::WString_out &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_out &)

## Detailed Description

CORBA_String.h,v 1.2 2000/12/15 20:06:46 coryan Exp

Header file for the CORBA string types.

## Function Documentation

TAO_Export ostream& operator<< | ( | ostream & | os,
|  | CORBA::WString_out & | wso
| ) |

TAO_Export ostream& operator<< | ( | ostream & | os,
|  | const CORBA::WString_var & | wsv
| ) |

TAO_Export ostream& operator<< | ( | ostream & | os,
|  | CORBA::String_out & | so
| ) |

TAO_Export ostream& operator<< | ( | ostream & | os,
|  | const CORBA::String_var & | sv
| ) |

TAO_Export istream& operator>> | ( | istream & | is,
|  | CORBA::WString_out & | wso
| ) |

TAO_Export istream& operator>> | ( | istream & | is,
|  | CORBA::WString_var & | wsv
| ) |

TAO_Export istream& operator>> | ( | istream & | is,
|  | CORBA::String_out & | so
| ) |

TAO_Export istream& operator>> | ( | istream & | is,
|  | CORBA::String_var & | sv
| ) |